<?php
   function anime_admin_settings()
   {
      $theme = wp_get_theme();
      if ( 'Madara' != $theme->name && 'Madara' != $theme->parent_theme ) {
          echo '<h1>This plugin requires the "Madara" theme to be installed and active on this site before it can function! Please install it from here: <a href="https://1.envato.market/madara" target="_blank">Madara - WordPress Theme for Manga</a></h1>';
          return;
      }
      if( ! class_exists('WP_MANGA_STORAGE') ) {
          echo '<h1>This plugin requires the "Madara Core" plugin to be installed and active on this site before it can function! Please install it from here: <a href="https://1.envato.market/madara" target="_blank">Madara - WordPress Theme for Manga</a></h1>';
          return;
      }
   ?>
<div class="wp-header-end"></div>
<div class="wrap gs_popuptype_holder seo_pops">
   <div>
      <form autocomplete="off" id="myForm" method="post" action="<?php if(is_multisite() && is_network_admin()){echo '../options.php';}else{echo 'options.php';}?>">
         <div class="cr_autocomplete">
            <input type="password" id="PreventChromeAutocomplete" 
               name="PreventChromeAutocomplete" autocomplete="address-level4" />
         </div>
         <?php
            settings_fields('anime_option_group');
            do_settings_sections('anime_option_group');
            $anime_Main_Settings = get_option('anime_Main_Settings', false);
            if (isset($anime_Main_Settings['anime_enabled'])) {
                $anime_enabled = $anime_Main_Settings['anime_enabled'];
            } else {
                $anime_enabled = '';
            }
            if (isset($anime_Main_Settings['headlessbrowserapi_key'])) {
                $headlessbrowserapi_key = $anime_Main_Settings['headlessbrowserapi_key'];
            } else {
                $headlessbrowserapi_key = '';
            }
            if (isset($anime_Main_Settings['animeapi_key'])) {
                $animeapi_key = $anime_Main_Settings['animeapi_key'];
            } else {
                $animeapi_key = '';
            }
            if (isset($anime_Main_Settings['deepl_auth'])) {
                $deepl_auth = $anime_Main_Settings['deepl_auth'];
            } else {
                $deepl_auth = '';
            }
            if (isset($anime_Main_Settings['bing_auth'])) {
                $bing_auth = $anime_Main_Settings['bing_auth'];
            } else {
                $bing_auth = '';
            }
            if (isset($anime_Main_Settings['bing_region'])) {
                $bing_region = $anime_Main_Settings['bing_region'];
            } else {
                $bing_region = '';
            }
            if (isset($anime_Main_Settings['deppl_free'])) {
                $deppl_free = $anime_Main_Settings['deppl_free'];
            } else {
                $deppl_free = '';
            }
            if (isset($anime_Main_Settings['enable_detailed_logging'])) {
                $enable_detailed_logging = $anime_Main_Settings['enable_detailed_logging'];
            } else {
                $enable_detailed_logging = '';
            }
            if (isset($anime_Main_Settings['enable_logging'])) {
                $enable_logging = $anime_Main_Settings['enable_logging'];
            } else {
                $enable_logging = '';
            }
            if (isset($anime_Main_Settings['player_width'])) {
                $player_width = $anime_Main_Settings['player_width'];
            } else {
                $player_width = '';
            }
            if (isset($anime_Main_Settings['player_height'])) {
                $player_height = $anime_Main_Settings['player_height'];
            } else {
                $player_height = '';
            }
            if (isset($anime_Main_Settings['auto_clear_logs'])) {
                $auto_clear_logs = $anime_Main_Settings['auto_clear_logs'];
            } else {
                $auto_clear_logs = '';
            }
            if (isset($anime_Main_Settings['delete_no_episodes'])) {
                $delete_no_episodes = $anime_Main_Settings['delete_no_episodes'];
            } else {
                $delete_no_episodes = '';
            }
            if (isset($anime_Main_Settings['rule_timeout'])) {
                $rule_timeout = $anime_Main_Settings['rule_timeout'];
            } else {
                $rule_timeout = '';
            }
            if (isset($anime_Main_Settings['request_timeout'])) {
                $request_timeout = $anime_Main_Settings['request_timeout'];
            } else {
                $request_timeout = '';
            }
            if (isset($anime_Main_Settings['phantom_timeout'])) {
                $phantom_timeout = $anime_Main_Settings['phantom_timeout'];
            } else {
                $phantom_timeout = '';
            }
            if (isset($anime_Main_Settings['phantom_path'])) {
                $phantom_path = $anime_Main_Settings['phantom_path'];
            } else {
                $phantom_path = '';
            }
            if (isset($anime_Main_Settings['proxy_url'])) {
                $proxy_url = $anime_Main_Settings['proxy_url'];
            } else {
                $proxy_url = '';
            }
            if (isset($anime_Main_Settings['proxy_auth'])) {
                $proxy_auth = $anime_Main_Settings['proxy_auth'];
            } else {
                $proxy_auth = '';
            }
            if (isset($_GET['settings-updated'])) {
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Settings saved.', 'ultimate-anime-scraper');?></strong></p>
         </div>
         <?php
            $get = get_option('coderevolution_settings_changed', 0);
            if($get == 1)
            {
                delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_failed_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration failed!', 'ultimate-anime-scraper');?></strong></p>
         </div>
         <?php 
            }
            elseif($get == 2)
            {
                    delete_option('coderevolution_settings_changed');
            ?>
         <div id="message" class="updated">
            <p class="cr_saved_notif"><strong>&nbsp;<?php echo esc_html__('Plugin registration successful!', 'ultimate-anime-scraper');?></strong></p>
         </div>
         <?php 
            }
                }
            ?>
         <div>
            <div class="anime_class">
               <table class="widefat">
                  <tr>
                     <td>
                        <h1>
                           <span class="gs-sub-heading"><b>Ultimate Anime Scraper - <?php echo esc_html__('Main Switch:', 'ultimate-anime-scraper');?></b>&nbsp;</span>
                           <span class="cr_07_font">v2.0&nbsp;</span>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Enable or disable this plugin. This acts like a main switch.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                        </h1>
                     </td>
                     <td>
                        <div class="slideThree">	
                           <input class="input-checkbox" type="checkbox" id="anime_enabled" name="anime_Main_Settings[anime_enabled]"<?php
                              if ($anime_enabled == 'on')
                                  echo ' checked ';
                              ?>>
                           <label for="anime_enabled"></label>
                        </div>
                     </td>
                  </tr>
               </table>
            </div>
            <div><?php if($anime_enabled != 'on'){echo '<div class="crf_bord cr_color_red cr_auto_update">' . esc_html__('This feature of the plugin is disabled! Please enable it from the above switch.', 'ultimate-anime-scraper') . '</div>';}?>
               <table class="widefat">
               <tr><td colspan="2">
               <h3><?php echo esc_html__("Tips for using the plugin:", 'ultimate-anime-scraper');?></h3>
                  <ul>
                  <li><?php echo sprintf( wp_kses( __( 'This plugin requires the <a href="%s" target="_blank">Madara - WordPress Theme for Manga</a> to work. Please get it from <a href="%s" target="_blank">here</a>.', 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://mangabooth.com/product/wp-manga-theme-madara/' ), esc_url( 'https://mangabooth.com/product/wp-manga-theme-madara/' ) );?>
                     </li>
                     <li><?php echo sprintf( wp_kses( __( 'Need help configuring this plugin? Please check it\'s <a href="%s" target="_blank">video tutorial</a>.', 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.youtube.com/watch?v=8p2aEy0l5nI&list=PLEiGTaa0iBIhmkUXTLsiVuBWcVbaTbAVP&index=1' ) );?>
                     </li>
                     <li><?php echo sprintf( wp_kses( __( 'Having issues with the plugin? Please be sure to check our <a href="%s" target="_blank">knowledge-base</a> before you contact <a href="%s" target="_blank">our support</a>!', 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//coderevolution.ro/knowledge-base' ), esc_url('//coderevolution.ro/support' ) );?></li>
                     <li><?php echo sprintf( wp_kses( __( 'Do you enjoy our plugin? Please give it a <a href="%s" target="_blank">rating</a> on CodeCanyon, or check <a href="%s" target="_blank">our website</a> for other cool plugins.', 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( '//codecanyon.net/downloads' ), esc_url( 'https://coderevolution.ro' ) );?></a></li>
                  </ul>
                  <hr/>
               </td></tr>
                  <tr>
                     <td colspan="2">
                        <h3><?php echo esc_html__("AnimeAPI.org API Settings:", 'ultimate-anime-scraper');?></h3>
                     </td>
                  </tr>
                  <tr>
                    <td>
                       <div>
                          <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                             <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                   echo sprintf( wp_kses( __( "Enter your AnimeAPI key, to enable the functionality of the plugin. Get one <a href='%s' target='_blank'>here</a>.", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://animeapi.org/' ) );
                                   ?>
                             </div>
                          </div>
                          <b><a href="https://animeapi.org" target="_blank"><?php echo esc_html__("AnimeAPI Key", 'ultimate-anime-scraper');?>:</a></b>
                       </div>
                    </td>
                    <td>
                       <div>
                          <input type="password" autocomplete="off" id="animeapi_key" placeholder="<?php echo esc_html__("API key", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[animeapi_key]" value="<?php
                             echo esc_html($animeapi_key);
                             ?>"/>
                       </div>
                    </td>
                 </tr>
                 <tr>
                     <td colspan="2">
                        <h3><?php echo esc_html__("Scraping Enhancements:", 'ultimate-anime-scraper');?></h3>
                     </td>
                  </tr>
                  <tr>
                    <td>
                       <div>
                          <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                             <div class="bws_hidden_help_text cr_min_260px">
                                <?php
                                   echo sprintf( wp_kses( __( "If you wish to use the HeadlessBrowserAPI to render JavaScript generated content for your scraped pages, enter your API key here. Get one <a href='%s' target='_blank'>here</a>. If you enter a value here, new options will become available in the 'Use PhantomJs/Puppeteer/Tor To Parse JavaScript On Pages' in importing rule settings.", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'http://headlessbrowserapi.com/pricing/' ) );
                                   ?>
                             </div>
                          </div>
                          <b><a href="http://headlessbrowserapi.com/pricing/" target="_blank"><?php echo esc_html__("HeadlessBrowserAPI Key (Optional)", 'ultimate-anime-scraper');?>:</a></b>
                          <?php
                           $call_count = get_option('headless_calls', false);
                           if($headlessbrowserapi_key != '' && $call_count !== false)
                           {
                              echo esc_html__("Remaining API Calls For Today: ", 'ultimate-anime-scraper') . '<b>' . $call_count . '</b>';
                           }
                          ?>
                          <div class="cr_float_right bws_help_box bws_help_box_right dashicons cr_align_middle"><img class="cr_align_middle" src="<?php echo plugins_url('../images/new.png', __FILE__);?>" alt="new feature"/>
                                                      <div class="bws_hidden_help_text cr_min_260px"><?php echo esc_html__("New feature added to this plugin: it is able to use HeadlessBrowserAPI to scrape with JavaScript rendered content any website from the internet. Also, the Tor node of the API will be able to scrape .onion sites from the Dark Net!", 'ultimate-anime-scraper');?>
                                                      </div>
                                                   </div>
                       </div>
                    </td>
                    <td>
                       <div>
                          <input type="password" autocomplete="off" id="headlessbrowserapi_key" placeholder="<?php echo esc_html__("API key", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[headlessbrowserapi_key]" value="<?php
                             echo esc_html($headlessbrowserapi_key);
                             ?>"/>
                       </div>
                    </td>
                 </tr>
                  <tr>
                     <td colspan="2">
                        <h3><?php echo esc_html__("Plugin Options:", 'ultimate-anime-scraper');?></h3>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the height of the video player.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Video Player Height:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="player_height" placeholder="<?php echo esc_html__("Player height", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[player_height]" value="<?php
                              echo esc_html($player_height);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the width of the video player.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Video Player Width:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="player_width" placeholder="<?php echo esc_html__("Player width", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[player_width]" value="<?php
                              echo esc_html($player_width);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to enable logging for rules?", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Enable Logging for Rules:", 'ultimate-anime-scraper');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="enable_logging" name="anime_Main_Settings[enable_logging]" onclick="mainChanged()"<?php
                        if ($enable_logging == 'on')
                            echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideLog">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to enable detailed logging for rules? Note that this will dramatically increase the size of the log this plugin generates.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Enable Detailed Logging for Rules:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideLog">
                           <input type="checkbox" id="enable_detailed_logging" name="anime_Main_Settings[enable_detailed_logging]"<?php
                              if ($enable_detailed_logging == 'on')
                                  echo ' checked ';
                              ?>>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideLog">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Choose if you want to automatically clear logs after a period of time.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Automatically Clear Logs After:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideLog">
                           <select id="auto_clear_logs" name="anime_Main_Settings[auto_clear_logs]" >
                              <option value="No"<?php
                                 if ($auto_clear_logs == "No") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Disabled", 'ultimate-anime-scraper');?></option>
                              <option value="monthly"<?php
                                 if ($auto_clear_logs == "monthly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a month", 'ultimate-anime-scraper');?></option>
                              <option value="weekly"<?php
                                 if ($auto_clear_logs == "weekly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a week", 'ultimate-anime-scraper');?></option>
                              <option value="daily"<?php
                                 if ($auto_clear_logs == "daily") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once a day", 'ultimate-anime-scraper');?></option>
                              <option value="twicedaily"<?php
                                 if ($auto_clear_logs == "twicedaily") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Twice a day", 'ultimate-anime-scraper');?></option>
                              <option value="hourly"<?php
                                 if ($auto_clear_logs == "hourly") {
                                     echo " selected";
                                 }
                                 ?>><?php echo esc_html__("Once an hour", 'ultimate-anime-scraper');?></option>
                           </select>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div class="hideLog">
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Do you want to automatically delete animes which don't have usable episodes returned. In case you uncheck this feature, anime without episodes will be saved as draft.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Automatically Delete Animes Which Did Not Have Usable Episodes:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div class="hideLog">
                           <input type="checkbox" id="delete_no_episodes" name="anime_Main_Settings[delete_no_episodes]"<?php
                              if ($delete_no_episodes == 'on')
                                  echo ' checked ';
                              ?>>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("If you want to use a proxy to crawl webpages, input it's address here. Required format: IP Address/URL:port", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Web Proxy Address:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="text" id="proxy_url" placeholder="<?php echo esc_html__("Input web proxy url", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[proxy_url]" value="<?php echo esc_html($proxy_url);?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("If you want to use a proxy to crawl webpages, and it requires authentification, input it's authentification details here. Required format: username:password", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Web Proxy Authentification:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="text" id="proxy_auth" placeholder="<?php echo esc_html__("Input web proxy auth", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[proxy_auth]" value="<?php echo esc_html($proxy_auth);?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the timeout (in seconds) for every rule running. I recommend that you leave this field at it's default value (3600).", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Timeout for Rule Running (seconds):", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="rule_timeout" step="1" min="0" placeholder="<?php echo esc_html__("Input rule timeout in seconds", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[rule_timeout]" value="<?php
                              echo esc_html($rule_timeout);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the timeout (in seconds) for every rule running. I recommend that you leave this field at it's default value (90).", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Timeout for One Request (seconds):", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="request_timeout" step="1" min="0" placeholder="<?php echo esc_html__("Input request timeout in seconds", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[request_timeout]" value="<?php echo esc_html($request_timeout);?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td colspan="2">
                     <h3><?php echo esc_html__("Translation Options:", 'ultimate-anime-scraper');?></h3>
                              </td>
                              </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "If you wish to use Microsoft for translation, you must enter first a Microsoft 'Access Key'. Learn how to get one <a href='%s' target='_blank'>here</a>. If you enter a value here, new options will become available in the 'Automatically Translate Content To' and 'Source Language' fields.", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/' ) );
                                    ?>
                              </div>
                           </div>
                           <b><a href="https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/" target="_blank"><?php echo esc_html__("Microsoft Translator Access Key (Optional)", 'ultimate-anime-scraper');?>:</a></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="password" autocomplete="off" id="bing_auth" placeholder="<?php echo esc_html__("Access key (optional)", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[bing_auth]" value="<?php
                              echo esc_html($bing_auth);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "If you selected a specific region in your Azure Microsoft account, you must enter it here. Learn more <a href='%s' target='_blank'>here</a>. The default is global.", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/' ) );
                                    ?>
                              </div>
                           </div>
                           <b><a href="https://coderevolution.ro/knowledge-base/faq/how-to-create-a-microsoft-translator-api-key-from-using-azure-control-panel/" target="_blank"><?php echo esc_html__("Microsoft Translator Region Code (Optional)", 'ultimate-anime-scraper');?>:</a></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="text" id="bing_region" placeholder="<?php echo esc_html__("global", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[bing_region]" value="<?php
                              echo esc_html($bing_region);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "If you wish to use DeepL for translation, you must enter first a DeepL 'Authentication Key'. Get one <a href='%s' target='_blank'>here</a>. If you enter a value here, new options will become available in the 'Automatically Translate Content To' and 'Source Language' fields.", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( 'https://www.deepl.com/subscription.html' ) );
                                    ?>
                              </div>
                           </div>
                           <b><a href="https://www.deepl.com/subscription.html" target="_blank"><?php echo esc_html__("DeepL Translator Authentication Key (Optional)", 'ultimate-anime-scraper');?>:</a></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="password" autocomplete="off" id="deepl_auth" placeholder="<?php echo esc_html__("Auth key (optional)", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[deepl_auth]" value="<?php
                              echo esc_html($deepl_auth);
                              ?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Check this checkbox if the above API key is a DeepL free plan key. If it is a PRO key, please uncheck this checkbox.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("The Above Is A DeepL Free API Key:", 'ultimate-anime-scraper');?></b>
                     </td>
                     <td>
                     <input type="checkbox" id="deppl_free" name="anime_Main_Settings[deppl_free]"<?php
                        if ($deppl_free == 'on')
                           echo ' checked ';
                        ?>>
                     </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <hr/>
                     </td>
                     <td>
                        <hr/>
                     </td>
                  </tr>
                  <tr>
                     <td colspan="2">
                        <h3><?php echo esc_html__("PhantomJS Settings:", 'ultimate-anime-scraper');?></h3>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo sprintf( wp_kses( __( "Set the path on your local server of the phantomjs executable. If you leave this field blank, the default 'phantomjs' call will be used. <a href='%s' target='_blank'>How to install PhantomJs?</a>", 'ultimate-anime-scraper'), array(  'a' => array( 'href' => array(), 'target' => array() ) ) ), esc_url( "//coderevolution.ro/knowledge-base/faq/how-to-install-phantomjs/" ));
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("PhantomJS Path On Server:", 'ultimate-anime-scraper');?></b>
<?php
                       if($phantom_path != '')
                       {
                           $phantom = anime_testPhantom();
                           if($phantom === 0)
                           {
                               echo '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS not found - please install it on your server or configure the path to it in plugin\'s \'Main Settings\'!', 'ultimate-anime-scraper') . '</b> <a href=\'//coderevolution.ro/knowledge-base/faq/how-to-install-phantomjs/\' target=\'_blank\'>' . esc_html__('How to install PhantomJs?', 'ultimate-anime-scraper') . '</a></span>';
                           }
                           elseif($phantom === -1)
                           {
                               echo '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS cannot run - shell exec is not enabled on your server. Please enable it and retry using this feature of the plugin.', 'ultimate-anime-scraper') . '</b></span>';
                           }
                           elseif($phantom === -2)
                           {
                               echo '<br/><span class="cr_red12"><b>' . esc_html__('INFO: PhantomJS cannot run - shell exec is not allowed to run on your server (in disable_functions list in php.ini). Please enable it and retry using this feature of the plugin.', 'ultimate-anime-scraper') . '</b></span>';
                           }
                           elseif($phantom === 1)
                           {
                               echo '<br/><span class="cr_green12"><b>' . esc_html__('INFO: PhantomJS OK', 'ultimate-anime-scraper') . '</b></span>';
                           }
                       }
?>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="text" id="phantom_path" placeholder="<?php echo esc_html__("Path to phantomjs", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[phantom_path]" value="<?php echo esc_html($phantom_path);?>"/>
                        </div>
                     </td>
                  </tr>
                  <tr>
                     <td>
                        <div>
                           <div class="bws_help_box bws_help_box_right dashicons dashicons-editor-help cr_align_middle">
                              <div class="bws_hidden_help_text cr_min_260px">
                                 <?php
                                    echo esc_html__("Set the timeout (in milliseconds) for every phantomjs running. I recommend that you leave this field at it's default value (15000). If you leave this field blank, the default value will be used.", 'ultimate-anime-scraper');
                                    ?>
                              </div>
                           </div>
                           <b><?php echo esc_html__("Timeout for PhantomJs Execution:", 'ultimate-anime-scraper');?></b>
                        </div>
                     </td>
                     <td>
                        <div>
                           <input type="number" id="phantom_timeout" step="1" min="1" placeholder="<?php echo esc_html__("Input phantomjs timeout in milliseconds", 'ultimate-anime-scraper');?>" name="anime_Main_Settings[phantom_timeout]" value="<?php echo esc_html($phantom_timeout);?>"/>
                        </div>
                     </td>
                  </tr>
               </table>
               </div>
               </td></tr>
               </table>
            </div>
         </div>
  
   <hr/>
   <div><p class="submit"><input type="submit" name="btnSubmit" id="btnSubmit" class="button button-primary" onclick="unsaved = false;" value="<?php echo esc_html__("Save Settings", 'ultimate-anime-scraper');?>"/></p></div>
   </form>
</div>
<?php
   }
   ?>